SAP Knowledge Base Article - Public

2906624 - "Insufficient_scope" error accessing S/4HANA Cloud Service on SCP

Symptom

When trying to access a published S/4HANA Cloud Service when creating a new List Report Application in SCP, the following errors are displayed:

  • In SCP, an error similar to the following is displayed:
Service YY1_xxxxxxxxxxxxxxx_CDS is unavailable
  • In the Browser Developers console for the SCP Session, an error similar to the following is displayed:
www-authenticate: Bearer realm="SAP NetWeaver Application Service [xxx/100]", error="insufficient_scope", error_description="The request requires higher privileges than provided by the access token.", scope="YY1_xxxxxxxxxxxxxxx_CDS"

Environment

SAP S/4HANA Cloud

Cause

There is no Communication Arrangement published for the Service in S/4HANA Cloud using the Communication System configured for SCP

Resolution

Create a Communication Arrangement for the Custom Communication Scenario created for the Service which uses the Communication System configured for the SCP System

Keywords

SCP, SAP Cloud Platform, SAP Web IDE, Service, unavailable, access token, scope, higher privileges , KBA , BC-SRV-APS-EXT-WDE , Web IDE Integration with S/4HANA Cloud , Problem

Product

SAP S/4HANA Cloud all versions